terraform {
  required_providers {
    azurerm = {
      source  = "hashicorp/azurerm"
      version = ">=3.79.0"
    }
  }
}

provider "azurerm" {
  features {

  }
}

resource "azurerm_container_registry" "acr" {
  name                = "${var.prefix}acr${var.environment}${var.unique_suffix}"
  resource_group_name = var.resource_group_name
  location            = var.resource_group_location
  sku                 = "Basic"
  admin_enabled       = true

  tags = {
    environment = var.environment
  }
}
