terraform {
  required_providers {
    azurerm = {
      source  = "hashicorp/azurerm"
      version = ">=3.75.0"
    }
  }
}

provider "azurerm" {
  features {

  }
}

resource "azurerm_public_ip" "traefik_ingress_public_ip" {
  name                = "pip-traefikingress-${var.environment}-${var.unique_suffix}"
  resource_group_name = var.resource_group_name
  location            = var.resource_group_location
  allocation_method   = "Static"

  tags = {
    environment = var.environment
  }
}

